Subject: [bug#58481] [WIP PATCH 0/9] gnu: stellarium: Update to 1.0.

From: Cairn <[email-masked]>
Date: Thu, 13 Oct 2022 05:19:06 +0000

Hey Guix!

This patchset updates Stellarium to version 1.0. Along the way, I had to update a few Qt packages and add a few dependencies. I used Maxim's Jami patchset[1] as a guide to updating the Qt packages. All the dependencies work, but I'm definitely looking for suggestions on if some of the packages could be improved.

Unfortunately, the only thing that isn't working yet is the Stellarium package itself. At 77% of the build process, it fails with an enormous amount of errors, which makes it seem like some dependency version is incompatible. I fumbled around with variations of the package arguments a lot; I couldn't solve it with extra configuration flags, and it doesn't seems to need any other dependencies. I tried adding `qtbase` explicity with an `-isystem` flag in the same way as `qtserialport`, but that doesn't seem to be it either.

I've already spent a couple of days messing with this, and I'm a little tired of it. I decided to share what I was able to finish in the hope that someone can help figure out this last issue. I'm attatching the (lengthy) build log to the next email, if you'd like to take a look without setting it up yourself.

Thanks in advance! Looking forward to being able to send a repaired and improved V2.

[1]: https://issues.guix.gnu.org/56771

Cairn (9):
  gnu: qtcharts: Rename variable to qtcharts-5.
  gnu: Add qtcharts, version 6.3.1.
  gnu: qtserialport: Rename variable to qtserialport-5.
  gnu: Add qtserialport, version 6.3.1.
  gnu: qtimageformats: Rename variable to qtimageformats-5.
  gnu: Add qtimageformats, version 6.3.1.
  gnu: Add qxlsx.
  gnu: Add calcmysky.
  gnu: stellarium: Update to 1.0.

 gnu/packages/astronomy.scm     | 107 +++++++++++++++++--------
 gnu/packages/engineering.scm   |   4 +-
 gnu/packages/geo.scm           |   4 +-
 gnu/packages/image-viewers.scm |   2 +-
 gnu/packages/kde.scm           |   6 +-
 gnu/packages/qt.scm            | 137 ++++++++++++++++++++++++++++++---
 gnu/packages/radio.scm         |  16 ++--
 gnu/packages/telegram.scm      |   2 +-
 8 files changed, 222 insertions(+), 56 deletions(-)

-- 

2.38.0